<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIFSConstants (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIFSConstants (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSConstants.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
               title="class in org.apache.poi.poifs.common"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/common/POIFSConstants.html" target="_top">Frames</a>
        </li>
        <li><a href="POIFSConstants.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.common</div>
    <h2 title="Interface POIFSConstants" class="title">Interface POIFSConstants</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">POIFSConstants</span></pre>
                <div class="block"><p>A repository for constants shared by POI classes.</p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#BIG_BLOCK_MINIMUM_DOCUMENT_SIZE">BIG_BLOCK_MINIMUM_DOCUMENT_SIZE</a></span></code>
                                    <div class="block">The minimum size of a document before it's stored using
                                        Big Blocks (normal streams).
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#DIFAT_SECTOR_BLOCK">DIFAT_SECTOR_BLOCK</a></span></code>
                                    <div class="block">Indicates the sector holds a DIFAT block (0xFFFFFFFC)</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#END_OF_CHAIN">END_OF_CHAIN</a></span></code>
                                    <div class="block">Indicates the sector is the end of a chain (0xFFFFFFFE)</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#FAT_SECTOR_BLOCK">FAT_SECTOR_BLOCK</a></span></code>
                                    <div class="block">Indicates the sector holds a FAT block (0xFFFFFFFD)</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#LARGER_BIG_BLOCK_SIZE">LARGER_BIG_BLOCK_SIZE</a></span></code>
                                    <div class="block">Some use 4096 bytes</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#LARGER_BIG_BLOCK_SIZE_DETAILS">LARGER_BIG_BLOCK_SIZE_DETAILS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#LARGEST_REGULAR_SECTOR_NUMBER">LARGEST_REGULAR_SECTOR_NUMBER</a></span></code>
                                    <div class="block">The highest sector number you're allowed, 0xFFFFFFFA</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#OOXML_FILE_HEADER">OOXML_FILE_HEADER</a></span></code>
                                    <div class="block">The first 4 bytes of an OOXML file, used in detection</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#PROPERTY_SIZE">PROPERTY_SIZE</a></span></code>
                                    <div class="block">How big a single property is</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#RAW_XML_FILE_HEADER">RAW_XML_FILE_HEADER</a></span></code>
                                    <div class="block">The first 5 bytes of a raw XML file, used in detection</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#SMALL_BLOCK_SIZE">SMALL_BLOCK_SIZE</a></span></code>
                                    <div class="block">How big a block in the small block stream is.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#SMALLER_BIG_BLOCK_SIZE">SMALLER_BIG_BLOCK_SIZE</a></span></code>
                                    <div class="block">Most files use 512 bytes as their big block size</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#SMALLER_BIG_BLOCK_SIZE_DETAILS">SMALLER_BIG_BLOCK_SIZE_DETAILS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSConstants.html#UNUSED_BLOCK">UNUSED_BLOCK</a></span></code>
                                    <div class="block">Indicates the sector is not used (0xFFFFFFFF)</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="SMALLER_BIG_BLOCK_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALLER_BIG_BLOCK_SIZE</h4>
                                <pre>static final&nbsp;int SMALLER_BIG_BLOCK_SIZE</pre>
                                <div class="block">Most files use 512 bytes as their big block size</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.SMALLER_BIG_BLOCK_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SMALLER_BIG_BLOCK_SIZE_DETAILS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALLER_BIG_BLOCK_SIZE_DETAILS</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a> SMALLER_BIG_BLOCK_SIZE_DETAILS</pre>
                            </li>
                        </ul>
                        <a name="LARGER_BIG_BLOCK_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGER_BIG_BLOCK_SIZE</h4>
                                <pre>static final&nbsp;int LARGER_BIG_BLOCK_SIZE</pre>
                                <div class="block">Some use 4096 bytes</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.LARGER_BIG_BLOCK_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LARGER_BIG_BLOCK_SIZE_DETAILS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGER_BIG_BLOCK_SIZE_DETAILS</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
                                        title="class in org.apache.poi.poifs.common">POIFSBigBlockSize</a> LARGER_BIG_BLOCK_SIZE_DETAILS</pre>
                            </li>
                        </ul>
                        <a name="SMALL_BLOCK_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SMALL_BLOCK_SIZE</h4>
                                <pre>static final&nbsp;int SMALL_BLOCK_SIZE</pre>
                                <div class="block">How big a block in the small block stream is. Fixed size</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.SMALL_BLOCK_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="PROPERTY_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PROPERTY_SIZE</h4>
                                <pre>static final&nbsp;int PROPERTY_SIZE</pre>
                                <div class="block">How big a single property is</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.PROPERTY_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BIG_BLOCK_MINIMUM_DOCUMENT_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIG_BLOCK_MINIMUM_DOCUMENT_SIZE</h4>
                                <pre>static final&nbsp;int BIG_BLOCK_MINIMUM_DOCUMENT_SIZE</pre>
                                <div class="block">The minimum size of a document before it's stored using
                                    Big Blocks (normal streams). Smaller documents go in the
                                    Mini Stream (SBAT / Small Blocks)
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.BIG_BLOCK_MINIMUM_DOCUMENT_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LARGEST_REGULAR_SECTOR_NUMBER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LARGEST_REGULAR_SECTOR_NUMBER</h4>
                                <pre>static final&nbsp;int LARGEST_REGULAR_SECTOR_NUMBER</pre>
                                <div class="block">The highest sector number you're allowed, 0xFFFFFFFA</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.LARGEST_REGULAR_SECTOR_NUMBER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DIFAT_SECTOR_BLOCK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIFAT_SECTOR_BLOCK</h4>
                                <pre>static final&nbsp;int DIFAT_SECTOR_BLOCK</pre>
                                <div class="block">Indicates the sector holds a DIFAT block (0xFFFFFFFC)</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.DIFAT_SECTOR_BLOCK">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FAT_SECTOR_BLOCK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FAT_SECTOR_BLOCK</h4>
                                <pre>static final&nbsp;int FAT_SECTOR_BLOCK</pre>
                                <div class="block">Indicates the sector holds a FAT block (0xFFFFFFFD)</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.FAT_SECTOR_BLOCK">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="END_OF_CHAIN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>END_OF_CHAIN</h4>
                                <pre>static final&nbsp;int END_OF_CHAIN</pre>
                                <div class="block">Indicates the sector is the end of a chain (0xFFFFFFFE)</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.END_OF_CHAIN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="UNUSED_BLOCK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>UNUSED_BLOCK</h4>
                                <pre>static final&nbsp;int UNUSED_BLOCK</pre>
                                <div class="block">Indicates the sector is not used (0xFFFFFFFF)</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.common.POIFSConstants.UNUSED_BLOCK">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="OOXML_FILE_HEADER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OOXML_FILE_HEADER</h4>
                                <pre>static final&nbsp;byte[] OOXML_FILE_HEADER</pre>
                                <div class="block">The first 4 bytes of an OOXML file, used in detection</div>
                            </li>
                        </ul>
                        <a name="RAW_XML_FILE_HEADER">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RAW_XML_FILE_HEADER</h4>
                                <pre>static final&nbsp;byte[] RAW_XML_FILE_HEADER</pre>
                                <div class="block">The first 5 bytes of a raw XML file, used in detection</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSConstants.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/common/POIFSBigBlockSize.html"
               title="class in org.apache.poi.poifs.common"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/common/POIFSConstants.html" target="_top">Frames</a>
        </li>
        <li><a href="POIFSConstants.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
